printer_select_font
printer_set_option
Printer Functions
PHP Manual

# printer_select_pen

Select a pen

### Description

void printer_select_pen ( resource `$printer_handle` , resource `$pen_handle` )

The function selects a pen as the active drawing object of the actual device context. A pen is used to draw lines and curves. I.e. if you draw a single line the pen is used. If you draw an rectangle the pen is used to draw the borders, while the brush is used to fill the shape. If you haven't selected a pen before drawing shapes, the shape won't be outlined.

### Parameters

`printer_handle`

  `printer_handle` must be a valid printer handle.

`pen_handle`

  `pen_handle` must be a valid pen handle.

### Return Values

No value is returned.

### Examples

Example #1 printer_select_pen example

`<?php
$handle = printer_open();
printer_start_doc($handle, "My Document");
printer_start_page($handle);
$pen = printer_create_pen(PRINTER_PEN_SOLID, 30, "2222FF");
printer_select_pen($handle, $pen);
printer_draw_line($handle, 1, 60, 500, 60);
printer_delete_pen($pen);
printer_end_page($handle);
printer_end_doc($handle);
printer_close($handle);
?>`